<div class="card offset-lg-2  col-lg-8">
    <div class="card-header bg-info text-white"><h4>Creation of product</h4></div>
    <div class="card-body">
      <div class="container-fluid">
          <form [formGroup]="form" (ngSubmit)="addProduct(form.value)" novalidate>
          <div class="form-group row">
            <label for="" class="col-lg-3 col-form-label"> Code de produit</label>
            <div class="col-lg-4">
              <input
                formControlName="id"
                type="text"
                class="form-control"
                name=""
                id=""
                aria-describedby="helpId"
                placeholder=""
              />
            </div>
            <div *ngIf="form.get('id').touched && form.get('id').invalid" class="col-lg-5 text text-danger">
              <div>le cod du produit est obligatoire</div>
            </div>
          </div>
          <div class="form-group row">
            <label for="" class="col-lg-3 col-form-label"> Nom du produit</label>
            <div class="col-lg-4">
              <input
              formControlName="nom"
                type="text"
                class="form-control"
                name=""
                id=""
                aria-describedby="helpId"
                placeholder=""
              />
            </div>
            <div *ngIf="form.get('nom').touched && form.get('nom').invalid" class="col-lg-5 text text-danger">
              <div>le nom est obligatoire</div>
            </div>
          </div>
          <div class="form-group row">
            <label for="" class="col-lg-3 col-form-label"> Prix unitaire du produit</label>
            <div class="col-lg-4">
              <input
              formControlName="prixunitaire"
                type="text"
                class="form-control"
                name=""
                id=""
                aria-describedby="helpId"
                placeholder=""
              />
            </div>
            <div *ngIf="form.get('prixunitaire').touched && form.get('prixunitaire').invalid" class="col-lg-5 text text-danger">
              <div *ngIf="form.controls['prixunitaire'].errors.required"> prix est obligatoire</div>
              <div *ngIf="form.controls['prixunitaire'].errors.pattern"> la forme des prix doit être numérique</div>
            </div>
          </div>
          <div class="form-group row">
            <div class="offset-lg-3 col-md-6">
          <button type="reset" class="btn btn-primary">Reinitialiser</button>
          &nbsp;&nbsp;
          <button type="submit" class="btn btn-primary" [disabled]="form.invalid">Envoyer</button>
          </div>
        </div>
        </form>
      </div>
    </div>
  </div>
